Get a service's specification lints

View as Markdown

Gets a list of API specification lint runs for a service that includes summary statistics and per-severity issue counts.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

serviceIdstringRequired
The service's ID.

Query parameters

specIdstringOptional
Filter results to the given API specification ID.
severityenumOptional
Filter results to runs with issues at or above the given severity threshold. Higher severities are always included.
Allowed values:
statusenumOptional
Filter results to the given spec lint outcome.
Allowed values:
sortstringOptionalformat: "^(timestamp|errorCount):(asc|desc)$"

Sort the results in field:direction order format. Accepts the timestamp and errorCount fields. Supports the asc and desc directions.

limitintegerOptional1-100Defaults to 20
The maximum number of rows to return in the response, up to a maximum value of 100. Any value greater than 100 returns a 400 Bad Request response.
cursorstringOptional

The pointer to the first record of the set of paginated results. To view the next response, use the nextCursor value for this parameter.

Response

Successful Response
metaobject
The response's meta information for paginated results.
datalist of objects
A list of API specification lint runs.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error